| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Functions
Per-element Operations
Ascend-accelerated Computer Vision » Operations for Ascend Backend.

## Detailed Description

## Functions
void | cv::cann::add (const AscendMat &src1, const AscendMat &src2, AscendMat &dst, const AscendMat &mask=AscendMat(), int dtype=-1, AscendStream &stream=AscendStream::Null())
void | cv::cann::add (const AscendMat &src1, const Scalar &src2, AscendMat &dst, const AscendMat &mask=AscendMat(), int dtype=-1, AscendStream &stream=AscendStream::Null())
void | cv::cann::add (const InputArray src1, const InputArray src2, OutputArray dst, const InputArray mask=noArray(), int dtype=-1, AscendStream &stream=AscendStream::Null())
| Computes a matrix-matrix or matrix-scalar sum.
void | cv::cann::add (const Scalar &src1, const AscendMat &src2, AscendMat &dst, const AscendMat &mask=AscendMat(), int dtype=-1, AscendStream &stream=AscendStream::Null())
void | cv::cann::addWeighted (const AscendMat &src1, double alpha, const AscendMat &src2, double beta, double gamma, AscendMat &dst, int dtype=-1, AscendStream &stream=AscendStream::Null())
void | cv::cann::addWeighted (const InputArray src1, double alpha, const InputArray src2, double beta, double gamma, OutputArray dst, int dtype=-1, AscendStream &stream=AscendStream::Null())
| Computes the weighted sum of two arrays.
void | cv::cann::bitwise_and (const AscendMat &src1, const AscendMat &src2, AscendMat &dst, const AscendMat &mask=AscendMat(), AscendStream &stream=AscendStream::Null())
void | cv::cann::bitwise_and (const AscendMat &src1, const Scalar &src2, AscendMat &dst, const AscendMat &mask=AscendMat(), AscendStream &stream=AscendStream::Null())
void | cv::cann::bitwise_and (const InputArray src1, const InputArray src2, OutputArray dst, const InputArray mask=noArray(), AscendStream &stream=AscendStream::Null())
| Performs a per-element bitwise conjunction of two matrices (or of matrix and scalar).
void | cv::cann::bitwise_and (const Scalar &src1, const AscendMat &src2, AscendMat &dst, const AscendMat &mask=AscendMat(), AscendStream &stream=AscendStream::Null())
void | cv::cann::bitwise_not (const AscendMat &src, AscendMat &dst, const AscendMat &mask=AscendMat(), AscendStream &stream=AscendStream::Null())
void | cv::cann::bitwise_not (const InputArray src, OutputArray dst, const InputArray mask=noArray(), AscendStream &stream=AscendStream::Null())
| Performs a per-element bitwise inversion.
void | cv::cann::bitwise_or (const AscendMat &src1, const AscendMat &src2, AscendMat &dst, const AscendMat &mask=AscendMat(), AscendStream &stream=AscendStream::Null())
void | cv::cann::bitwise_or (const AscendMat &src1, const Scalar &src2, AscendMat &dst, const AscendMat &mask=AscendMat(), AscendStream &stream=AscendStream::Null())
void | cv::cann::bitwise_or (const InputArray src1, const InputArray src2, OutputArray dst, const InputArray mask=noArray(), AscendStream &stream=AscendStream::Null())
| Performs a per-element bitwise disjunction of two matrices (or of matrix and scalar).
void | cv::cann::bitwise_or (const Scalar &src1, const AscendMat &src2, AscendMat &dst, const AscendMat &mask=AscendMat(), AscendStream &stream=AscendStream::Null())
void | cv::cann::bitwise_xor (const AscendMat &src1, const AscendMat &src2, AscendMat &dst, const AscendMat &mask=AscendMat(), AscendStream &stream=AscendStream::Null())
void | cv::cann::bitwise_xor (const AscendMat &src1, const Scalar &src2, AscendMat &dst, const AscendMat &mask=AscendMat(), AscendStream &stream=AscendStream::Null())
void | cv::cann::bitwise_xor (const InputArray src1, const InputArray src2, OutputArray dst, const InputArray mask=noArray(), AscendStream &stream=AscendStream::Null())
| Performs a per-element bitwise exclusive or operation of two matrices (or of matrix and scalar).
void | cv::cann::bitwise_xor (const Scalar &src1, const AscendMat &src2, AscendMat &dst, const AscendMat &mask=AscendMat(), AscendStream &stream=AscendStream::Null())
void | cv::cann::divide (const AscendMat &src1, const AscendMat &src2, AscendMat &dst, float scale=1, int dtype=-1, AscendStream &stream=AscendStream::Null())
void | cv::cann::divide (const AscendMat &src1, const Scalar &src2, AscendMat &dst, float scale=1, int dtype=-1, AscendStream &stream=AscendStream::Null())
void | cv::cann::divide (const InputArray src1, const InputArray src2, OutputArray dst, float scale=1, int dtype=-1, AscendStream &stream=AscendStream::Null())
| Computes a matrix-matrix or matrix-scalar division.
void | cv::cann::divide (const Scalar &src1, const AscendMat &src2, AscendMat &dst, float scale=1, int dtype=-1, AscendStream &stream=AscendStream::Null())
void | cv::cann::multiply (const AscendMat &src1, const AscendMat &src2, AscendMat &dst, float scale=1, int dtype=-1, AscendStream &stream=AscendStream::Null())
void | cv::cann::multiply (const AscendMat &src1, const Scalar &src2, AscendMat &dst, float scale=1, int dtype=-1, AscendStream &stream=AscendStream::Null())
void | cv::cann::multiply (const InputArray src1, const InputArray src2, OutputArray dst, float scale=1, int dtype=-1, AscendStream &stream=AscendStream::Null())
| Computes a matrix-matrix or matrix-scalar per-element product.
void | cv::cann::multiply (const Scalar &src1, const AscendMat &src2, AscendMat &dst, float scale=1, int dtype=-1, AscendStream &stream=AscendStream::Null())
void | cv::cann::subtract (const AscendMat &src1, const AscendMat &src2, AscendMat &dst, const AscendMat &mask=AscendMat(), int dtype=-1, AscendStream &stream=AscendStream::Null())
void | cv::cann::subtract (const AscendMat &src1, const Scalar &src2, AscendMat &dst, const AscendMat &mask=AscendMat(), int dtype=-1, AscendStream &stream=AscendStream::Null())
void | cv::cann::subtract (const InputArray src1, const InputArray src2, OutputArray dst, const InputArray mask=noArray(), int dtype=-1, AscendStream &stream=AscendStream::Null())
| Computes a matrix-matrix or matrix-scalar difference.
void | cv::cann::subtract (const Scalar &src1, const AscendMat &src2, AscendMat &dst, const AscendMat &mask=AscendMat(), int dtype=-1, AscendStream &stream=AscendStream::Null())
double | cv::cann::threshold (const AscendMat &src, AscendMat &dst, double thresh, double maxval, int type, AscendStream &stream=AscendStream::Null())
double | cv::cann::threshold (const InputArray src, OutputArray dst, double thresh, double maxval, int type, AscendStream &stream=AscendStream::Null())
| Applies a fixed-level threshold to each array element.

## Function Documentation

## ◆ add() [1/4]

void cv::cann::add | ( | const AscendMat & | src1,
|  | const AscendMat & | src2,
|  | AscendMat & | dst,
|  | const AscendMat & | mask = AscendMat(),
|  | int | dtype = -1,
|  | AscendStream & | stream = AscendStream::Null() )

`#include <opencv2/cann_interface.hpp>`

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## ◆ add() [2/4]

void cv::cann::add | ( | const AscendMat & | src1,
|  | const Scalar & | src2,
|  | AscendMat & | dst,
|  | const AscendMat & | mask = AscendMat(),
|  | int | dtype = -1,
|  | AscendStream & | stream = AscendStream::Null() )

`#include <opencv2/cann_interface.hpp>`

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## ◆ add() [3/4]

void cv::cann::add | ( | const InputArray | src1,
|  | const InputArray | src2,
|  | OutputArray | dst,
|  | const InputArray | mask = noArray(),
|  | int | dtype = -1,
|  | AscendStream & | stream = AscendStream::Null() )

`#include <opencv2/cann_interface.hpp>`

Computes a matrix-matrix or matrix-scalar sum.

Parameters

  src1 | First source matrix or scalar.
  src2 | Second source matrix or scalar. Matrix should have the same size and type as src1 .
  dst | Destination matrix that has the same size and number of channels as the input array(s). The depth is defined by dtype or src1 depth.
  mask | Optional operation mask, 8-bit single channel array, that specifies elements of the destination array to be changed. The mask can be used only with single channel images.
  dtype | Optional depth of the output array.
  stream | AscendStream for the asynchronous version.

See also
  cv::add cuda::add

## ◆ add() [4/4]

void cv::cann::add | ( | const Scalar & | src1,
|  | const AscendMat & | src2,
|  | AscendMat & | dst,
|  | const AscendMat & | mask = AscendMat(),
|  | int | dtype = -1,
|  | AscendStream & | stream = AscendStream::Null() )

`#include <opencv2/cann_interface.hpp>`

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## ◆ addWeighted() [1/2]

void cv::cann::addWeighted | ( | const AscendMat & | src1,
|  | double | alpha,
|  | const AscendMat & | src2,
|  | double | beta,
|  | double | gamma,
|  | AscendMat & | dst,
|  | int | dtype = -1,
|  | AscendStream & | stream = AscendStream::Null() )

`#include <opencv2/cann_interface.hpp>`

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## ◆ addWeighted() [2/2]

void cv::cann::addWeighted | ( | const InputArray | src1,
|  | double | alpha,
|  | const InputArray | src2,
|  | double | beta,
|  | double | gamma,
|  | OutputArray | dst,
|  | int | dtype = -1,
|  | AscendStream & | stream = AscendStream::Null() )

`#include <opencv2/cann_interface.hpp>`

Computes the weighted sum of two arrays.

Parameters

  src1 | First source array.
  alpha | Weight for the first array elements.
  src2 | Second source array of the same size and channel number as src1 .
  beta | Weight for the second array elements.
  dst | Destination array that has the same size and number of channels as the input arrays.
  gamma | Scalar added to each sum.
  dtype | Optional depth of the destination array. When both input arrays have the same depth, dtype can be set to -1, which will be equivalent to src1.depth().
  stream | Stream for the asynchronous version.

The function addWeighted calculates the weighted sum of two arrays as follows:

\[\texttt{dst} (I)= \texttt{saturate} ( \texttt{src1} (I)* \texttt{alpha} + \texttt{src2} (I)* \texttt{beta} + \texttt{gamma} )\]

where I is a multi-dimensional index of array elements. In case of multi-channel arrays, each channel is processed independently.

Note
  src must be one of the following types: int32, int16, float16, float32.

See also
  cv::addWeighted cv::cuda::addWeighted

## ◆ bitwise_and() [1/4]

void cv::cann::bitwise_and | ( | const AscendMat & | src1,
|  | const AscendMat & | src2,
|  | AscendMat & | dst,
|  | const AscendMat & | mask = AscendMat(),
|  | AscendStream & | stream = AscendStream::Null() )

`#include <opencv2/cann_interface.hpp>`

## ◆ bitwise_and() [2/4]

void cv::cann::bitwise_and | ( | const AscendMat & | src1,
|  | const Scalar & | src2,
|  | AscendMat & | dst,
|  | const AscendMat & | mask = AscendMat(),
|  | AscendStream & | stream = AscendStream::Null() )

`#include <opencv2/cann_interface.hpp>`

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## ◆ bitwise_and() [3/4]

void cv::cann::bitwise_and | ( | const InputArray | src1,
|  | const InputArray | src2,
|  | OutputArray | dst,
|  | const InputArray | mask = noArray(),
|  | AscendStream & | stream = AscendStream::Null() )

`#include <opencv2/cann_interface.hpp>`

Performs a per-element bitwise conjunction of two matrices (or of matrix and scalar).

Parameters

  src1 | First source matrix or scalar.
  src2 | Second source matrix or scalar.
  dst | Destination matrix that has the same size and number of channels as the input array(s). The depth is defined by dtype or src1 depth.
  mask | Optional operation mask, 8-bit single channel array, that specifies elements of the destination array to be changed. The mask can be used only with single channel images.
  stream | AscendStream for the asynchronous version.

Note
  src must be one of the following types: int32, int16, uint16

See also
  cv::bitwise_and cuda::bitwise_and

## ◆ bitwise_and() [4/4]

void cv::cann::bitwise_and | ( | const Scalar & | src1,
|  | const AscendMat & | src2,
|  | AscendMat & | dst,
|  | const AscendMat & | mask = AscendMat(),
|  | AscendStream & | stream = AscendStream::Null() )

`#include <opencv2/cann_interface.hpp>`

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## ◆ bitwise_not() [1/2]

void cv::cann::bitwise_not | ( | const AscendMat & | src,
|  | AscendMat & | dst,
|  | const AscendMat & | mask = AscendMat(),
|  | AscendStream & | stream = AscendStream::Null() )

`#include <opencv2/cann_interface.hpp>`

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## ◆ bitwise_not() [2/2]

void cv::cann::bitwise_not | ( | const InputArray | src,
|  | OutputArray | dst,
|  | const InputArray | mask = noArray(),
|  | AscendStream & | stream = AscendStream::Null() )

`#include <opencv2/cann_interface.hpp>`

Performs a per-element bitwise inversion.

Parameters

  src | First source matrix.
  dst | Destination matrix that has the same size and number of channels as the input array(s). The depth is defined by dtype or src1 depth.
  mask | Optional operation mask, 8-bit single channel array, that specifies elements of the destination array to be changed. The mask can be used only with single channel images.
  stream | AscendStream for the asynchronous version.

Note
  src must be one of the following types: int32, int16, uint16

See also
  cv::bitwise_not cuda::bitwise_not

## ◆ bitwise_or() [1/4]

void cv::cann::bitwise_or | ( | const AscendMat & | src1,
|  | const AscendMat & | src2,
|  | AscendMat & | dst,
|  | const AscendMat & | mask = AscendMat(),
|  | AscendStream & | stream = AscendStream::Null() )

`#include <opencv2/cann_interface.hpp>`

## ◆ bitwise_or() [2/4]

void cv::cann::bitwise_or | ( | const AscendMat & | src1,
|  | const Scalar & | src2,
|  | AscendMat & | dst,
|  | const AscendMat & | mask = AscendMat(),
|  | AscendStream & | stream = AscendStream::Null() )

`#include <opencv2/cann_interface.hpp>`

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## ◆ bitwise_or() [3/4]

void cv::cann::bitwise_or | ( | const InputArray | src1,
|  | const InputArray | src2,
|  | OutputArray | dst,
|  | const InputArray | mask = noArray(),
|  | AscendStream & | stream = AscendStream::Null() )

`#include <opencv2/cann_interface.hpp>`

Performs a per-element bitwise disjunction of two matrices (or of matrix and scalar).

Parameters

  src1 | First source matrix or scalar.
  src2 | Second source matrix or scalar.
  dst | Destination matrix that has the same size and number of channels as the input array(s). The depth is defined by dtype or src1 depth.
  mask | Optional operation mask, 8-bit single channel array, that specifies elements of the destination array to be changed. The mask can be used only with single channel images.
  stream | AscendStream for the asynchronous version.

Note
  src must be one of the following types: int32, int16, uint16

See also
  cv::bitwise_or cuda::bitwise_or

## ◆ bitwise_or() [4/4]

void cv::cann::bitwise_or | ( | const Scalar & | src1,
|  | const AscendMat & | src2,
|  | AscendMat & | dst,
|  | const AscendMat & | mask = AscendMat(),
|  | AscendStream & | stream = AscendStream::Null() )

`#include <opencv2/cann_interface.hpp>`

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## ◆ bitwise_xor() [1/4]

void cv::cann::bitwise_xor | ( | const AscendMat & | src1,
|  | const AscendMat & | src2,
|  | AscendMat & | dst,
|  | const AscendMat & | mask = AscendMat(),
|  | AscendStream & | stream = AscendStream::Null() )

`#include <opencv2/cann_interface.hpp>`

## ◆ bitwise_xor() [2/4]

void cv::cann::bitwise_xor | ( | const AscendMat & | src1,
|  | const Scalar & | src2,
|  | AscendMat & | dst,
|  | const AscendMat & | mask = AscendMat(),
|  | AscendStream & | stream = AscendStream::Null() )

`#include <opencv2/cann_interface.hpp>`

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## ◆ bitwise_xor() [3/4]

void cv::cann::bitwise_xor | ( | const InputArray | src1,
|  | const InputArray | src2,
|  | OutputArray | dst,
|  | const InputArray | mask = noArray(),
|  | AscendStream & | stream = AscendStream::Null() )

`#include <opencv2/cann_interface.hpp>`

Performs a per-element bitwise exclusive or operation of two matrices (or of matrix and scalar).

Parameters

  src1 | First source matrix or scalar.
  src2 | Second source matrix or scalar.
  dst | Destination matrix that has the same size and number of channels as the input array(s). The depth is defined by dtype or src1 depth.
  mask | Optional operation mask, 8-bit single channel array, that specifies elements of the destination array to be changed. The mask can be used only with single channel images.
  stream | AscendStream for the asynchronous version.

Note
  src must be one of the following types: int32, int16, uint16

See also
  cv::bitwise_xor cuda::bitwise_xor

## ◆ bitwise_xor() [4/4]

void cv::cann::bitwise_xor | ( | const Scalar & | src1,
|  | const AscendMat & | src2,
|  | AscendMat & | dst,
|  | const AscendMat & | mask = AscendMat(),
|  | AscendStream & | stream = AscendStream::Null() )

`#include <opencv2/cann_interface.hpp>`

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## ◆ divide() [1/4]

void cv::cann::divide | ( | const AscendMat & | src1,
|  | const AscendMat & | src2,
|  | AscendMat & | dst,
|  | float | scale = 1,
|  | int | dtype = -1,
|  | AscendStream & | stream = AscendStream::Null() )

`#include <opencv2/cann_interface.hpp>`

## ◆ divide() [2/4]

void cv::cann::divide | ( | const AscendMat & | src1,
|  | const Scalar & | src2,
|  | AscendMat & | dst,
|  | float | scale = 1,
|  | int | dtype = -1,
|  | AscendStream & | stream = AscendStream::Null() )

`#include <opencv2/cann_interface.hpp>`

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## ◆ divide() [3/4]

void cv::cann::divide | ( | const InputArray | src1,
|  | const InputArray | src2,
|  | OutputArray | dst,
|  | float | scale = 1,
|  | int | dtype = -1,
|  | AscendStream & | stream = AscendStream::Null() )

`#include <opencv2/cann_interface.hpp>`

Computes a matrix-matrix or matrix-scalar division.

Parameters

  src1 | First source matrix or scalar.
  src2 | Second source matrix or scalar. Matrix should have the same size and type as src1 .
  dst | Destination matrix that has the same size and number of channels as the input array(s). The depth is defined by dtype or src1 depth.
  scale | Optional scale factor.
  dtype | Optional depth of the output array.
  stream | AscendStream for the asynchronous version.

Note
  when scale == 1, src must be one of the following types: float16, float32, double, uint16, int8, uint8, int16, int32, int64; when scale != 1, src must be one of the following types: int32, int16, float16, float32.

See also
  cv::divide cuda::divide

## ◆ divide() [4/4]

void cv::cann::divide | ( | const Scalar & | src1,
|  | const AscendMat & | src2,
|  | AscendMat & | dst,
|  | float | scale = 1,
|  | int | dtype = -1,
|  | AscendStream & | stream = AscendStream::Null() )

`#include <opencv2/cann_interface.hpp>`

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## ◆ multiply() [1/4]

void cv::cann::multiply | ( | const AscendMat & | src1,
|  | const AscendMat & | src2,
|  | AscendMat & | dst,
|  | float | scale = 1,
|  | int | dtype = -1,
|  | AscendStream & | stream = AscendStream::Null() )

`#include <opencv2/cann_interface.hpp>`

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## ◆ multiply() [2/4]

void cv::cann::multiply | ( | const AscendMat & | src1,
|  | const Scalar & | src2,
|  | AscendMat & | dst,
|  | float | scale = 1,
|  | int | dtype = -1,
|  | AscendStream & | stream = AscendStream::Null() )

`#include <opencv2/cann_interface.hpp>`

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## ◆ multiply() [3/4]

void cv::cann::multiply | ( | const InputArray | src1,
|  | const InputArray | src2,
|  | OutputArray | dst,
|  | float | scale = 1,
|  | int | dtype = -1,
|  | AscendStream & | stream = AscendStream::Null() )

`#include <opencv2/cann_interface.hpp>`

Computes a matrix-matrix or matrix-scalar per-element product.

Parameters

  src1 | First source matrix or scalar.
  src2 | Second source matrix or scalar. Matrix should have the same size and type as src1 .
  dst | Destination matrix that has the same size and number of channels as the input array(s). The depth is defined by dtype or src1 depth.
  scale | Optional scale factor.
  dtype | Optional depth of the output array.
  stream | AscendStream for the asynchronous version.

Note
  when scale != 1, src must be one of the following types: float16, float32, int32

See also
  cv::multiply cuda::multiply

## ◆ multiply() [4/4]

void cv::cann::multiply | ( | const Scalar & | src1,
|  | const AscendMat & | src2,
|  | AscendMat & | dst,
|  | float | scale = 1,
|  | int | dtype = -1,
|  | AscendStream & | stream = AscendStream::Null() )

`#include <opencv2/cann_interface.hpp>`

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## ◆ subtract() [1/4]

void cv::cann::subtract | ( | const AscendMat & | src1,
|  | const AscendMat & | src2,
|  | AscendMat & | dst,
|  | const AscendMat & | mask = AscendMat(),
|  | int | dtype = -1,
|  | AscendStream & | stream = AscendStream::Null() )

`#include <opencv2/cann_interface.hpp>`

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## ◆ subtract() [2/4]

void cv::cann::subtract | ( | const AscendMat & | src1,
|  | const Scalar & | src2,
|  | AscendMat & | dst,
|  | const AscendMat & | mask = AscendMat(),
|  | int | dtype = -1,
|  | AscendStream & | stream = AscendStream::Null() )

`#include <opencv2/cann_interface.hpp>`

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## ◆ subtract() [3/4]

void cv::cann::subtract | ( | const InputArray | src1,
|  | const InputArray | src2,
|  | OutputArray | dst,
|  | const InputArray | mask = noArray(),
|  | int | dtype = -1,
|  | AscendStream & | stream = AscendStream::Null() )

`#include <opencv2/cann_interface.hpp>`

Computes a matrix-matrix or matrix-scalar difference.

Parameters

  src1 | First source matrix or scalar.
  src2 | Second source matrix or scalar. Matrix should have the same size and type as src1 .
  dst | Destination matrix that has the same size and number of channels as the input array(s). The depth is defined by dtype or src1 depth.
  mask | Optional operation mask, 8-bit single channel array, that specifies elements of the destination array to be changed. The mask can be used only with single channel images.
  dtype | Optional depth of the output array.
  stream | AscendStream for the asynchronous version.

See also
  cv::subtract cuda::subtract

## ◆ subtract() [4/4]

void cv::cann::subtract | ( | const Scalar & | src1,
|  | const AscendMat & | src2,
|  | AscendMat & | dst,
|  | const AscendMat & | mask = AscendMat(),
|  | int | dtype = -1,
|  | AscendStream & | stream = AscendStream::Null() )

`#include <opencv2/cann_interface.hpp>`

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## ◆ threshold() [1/2]

double cv::cann::threshold | ( | const AscendMat & | src,
|  | AscendMat & | dst,
|  | double | thresh,
|  | double | maxval,
|  | int | type,
|  | AscendStream & | stream = AscendStream::Null() )

`#include <opencv2/cann_interface.hpp>`

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## ◆ threshold() [2/2]

double cv::cann::threshold | ( | const InputArray | src,
|  | OutputArray | dst,
|  | double | thresh,
|  | double | maxval,
|  | int | type,
|  | AscendStream & | stream = AscendStream::Null() )

`#include <opencv2/cann_interface.hpp>`

Applies a fixed-level threshold to each array element.

Parameters

  src | Source array (single-channel).
  dst | Destination array with the same size and type as src .
  thresh | Threshold value.
  maxval | Maximum value to use with THRESH_BINARY and THRESH_BINARY_INV threshold types.
  type | Threshold type. For details, see threshold . The THRESH_MASK, THRESH_OTSU and THRESH_TRIANGLE threshold types are not supported.
  stream | AscendStream for the asynchronous version.

Note
  src must be one of the following types: float16, float32.

See also
  cv::threshold cv::cuda::threshold